Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2086379 - [abrt] cinnamon: require_version(): __init__.py:126:require_version:ValueError: Namespace EDataServer not available
Summary: [abrt] cinnamon: require_version(): __init__.py:126:require_version:ValueErro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:de90724de489cb3d981f886fb67...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-16 03:10 UTC by Sergei S. Rublёv
Modified: 2022-07-24 19:59 UTC (History)
3 users (show)

Fixed In Version: cinnamon-5.2.7-4.fc35 cinnamon-5.2.7-4.fc34 cinnamon-5.2.7-4.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-30 05:34:19 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2022-05-16 03:10 UTC, Sergei S. Rublёv
no flags Details
File: cpuinfo (deleted)
2022-05-16 03:10 UTC, Sergei S. Rublёv
no flags Details
File: environ (deleted)
2022-05-16 03:10 UTC, Sergei S. Rublёv
no flags Details
File: mountinfo (deleted)
2022-05-16 03:10 UTC, Sergei S. Rublёv
no flags Details
File: namespaces (deleted)
2022-05-16 03:10 UTC, Sergei S. Rublёv
no flags Details
File: open_fds (deleted)
2022-05-16 03:10 UTC, Sergei S. Rublёv
no flags Details

Description Sergei S. Rublёv 2022-05-16 03:10:44 UTC
Description of problem:
Wakeup from suspend. Every time. Triggers "restart cinnamon?" dialog.

Version-Release number of selected component:
cinnamon-5.2.7-2.fc36

Additional info:
reporter:       libreport-2.17.1
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-dbus\x2d:1.2\x2dorg.cinnamon.CalendarServer.slice/dbus-:1.2-org.cinnamon.CalendarServer
cmdline:        /usr/bin/python3 /usr/libexec/cinnamon/cinnamon-calendar-server.py
crash_function: require_version
exception_type: ValueError
executable:     /usr/libexec/cinnamon/cinnamon-calendar-server.py
interpreter:    python3-3.10.4-1.fc36.x86_64
kernel:         5.17.6-300.fc36.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:126:require_version:ValueError: Namespace EDataServer not available

Traceback (most recent call last):
  File "/usr/libexec/cinnamon/cinnamon-calendar-server.py", line 14, in <module>
    gi.require_version('EDataServer', '1.2')
  File "/usr/lib64/python3.10/site-packages/gi/__init__.py", line 126, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace EDataServer not available

Local variables in innermost frame:
namespace: 'EDataServer'
version: '1.2'
repository: <gi.Repository object at 0x7f463ee29c70>
available_versions: []

Potential duplicate: bug 2043936

Comment 1 Sergei S. Rublёv 2022-05-16 03:10:46 UTC
Created attachment 1879974 [details]
File: backtrace

Comment 2 Sergei S. Rublёv 2022-05-16 03:10:48 UTC
Created attachment 1879975 [details]
File: cpuinfo

Comment 3 Sergei S. Rublёv 2022-05-16 03:10:49 UTC
Created attachment 1879976 [details]
File: environ

Comment 4 Sergei S. Rublёv 2022-05-16 03:10:50 UTC
Created attachment 1879977 [details]
File: mountinfo

Comment 5 Sergei S. Rublёv 2022-05-16 03:10:51 UTC
Created attachment 1879978 [details]
File: namespaces

Comment 6 Sergei S. Rublёv 2022-05-16 03:10:52 UTC
Created attachment 1879979 [details]
File: open_fds

Comment 7 Fedora Update System 2022-05-16 07:25:25 UTC
FEDORA-2022-71e2068826 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-71e2068826

Comment 8 Fedora Update System 2022-05-16 07:25:26 UTC
FEDORA-2022-ec10e74b47 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ec10e74b47

Comment 9 Fedora Update System 2022-05-16 07:25:27 UTC
FEDORA-2022-c7aedf5499 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c7aedf5499

Comment 10 Fedora Update System 2022-05-17 01:15:26 UTC
FEDORA-2022-c7aedf5499 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-c7aedf5499`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c7aedf5499

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-05-17 02:31:22 UTC
FEDORA-2022-ec10e74b47 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-ec10e74b47`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ec10e74b47

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-05-17 02:35:55 UTC
FEDORA-2022-71e2068826 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-71e2068826`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-71e2068826

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-05-23 01:13:44 UTC
FEDORA-2022-640861db99 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-640861db99`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-640861db99

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-05-23 01:33:08 UTC
FEDORA-2022-56be68a74e has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-56be68a74e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-56be68a74e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-05-23 02:03:25 UTC
FEDORA-2022-d7376d3af6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-d7376d3af6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d7376d3af6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-05-30 05:34:19 UTC
FEDORA-2022-56be68a74e has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-05-30 05:56:55 UTC
FEDORA-2022-d7376d3af6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-05-31 15:45:07 UTC
FEDORA-2022-640861db99 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Marcus Summers 2022-07-24 18:35:53 UTC
Similar problem has been detected:

I just logged into the system and received the crash notification.

reporter:       libreport-2.17.1
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/dbus-:1.2-org.cinnamon.CalendarServer
cmdline:        /usr/bin/python3 /usr/libexec/cinnamon/cinnamon-calendar-server.py
crash_function: require_version
exception_type: ValueError
executable:     /usr/libexec/cinnamon/cinnamon-calendar-server.py
interpreter:    python3-3.10.5-2.fc36.x86_64
kernel:         5.18.13-200.fc36.x86_64
package:        cinnamon-calendar-server-5.2.7-4.fc36
reason:         __init__.py:126:require_version:ValueError: Namespace EDataServer not available
runlevel:       N 5
type:           Python3
uid:            1000

Comment 20 leigh scott 2022-07-24 19:59:47 UTC
(In reply to Marcus Summers from comment #19)
> Similar problem has been detected:
> 
> I just logged into the system and received the crash notification.
> 
> reporter:       libreport-2.17.1
> cgroup:        
> 0::/user.slice/user-1000.slice/user/app.slice/dbus-:1.2-org.
> cinnamon.CalendarServer
> cmdline:        /usr/bin/python3
> /usr/libexec/cinnamon/cinnamon-calendar-server.py
> crash_function: require_version
> exception_type: ValueError
> executable:     /usr/libexec/cinnamon/cinnamon-calendar-server.py
> interpreter:    python3-3.10.5-2.fc36.x86_64
> kernel:         5.18.13-200.fc36.x86_64
> package:        cinnamon-calendar-server-5.2.7-4.fc36
> reason:         __init__.py:126:require_version:ValueError: Namespace
> EDataServer not available
> runlevel:       N 5
> type:           Python3
> uid:            1000

Is /usr/lib64/girepository-1.0/EDataServer-1.2.typelib present? it's provided by the evolution-data-server package.

$ rpm -q --requires cinnamon-calendar-server
/usr/bin/python3
/usr/bin/sh
cinnamon(x86-64) = 5.4.7-1.fc36
evolution-data-server(x86-64)
gnome-calendar(x86-64)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsZstd) <= 5.4.18-1


Note You need to log in before you can comment on or make changes to this bug.